Bug 20193 - Path to Greybox CSS broken after Bug 12904
Summary: Path to Greybox CSS broken after Bug 12904
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Label/patron card printing (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Katrin Fischer
URL:
Whiteboard:
Keywords:
Depends on: 12904
Blocks: 19709 20160
  Show dependency treegraph
 
Reported: 2018-02-14 10:28 UTC by Claire Gravely
Modified: 2018-06-04 20:15 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20193: Path to Greybox CSS broken after Bug 12904 (1.59 KB, patch)
2018-02-14 14:19 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20193: Path to Greybox CSS broken after Bug 12904 (1.65 KB, patch)
2018-02-14 16:43 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 20193: Path to Greybox CSS broken after Bug 12904 (1.71 KB, patch)
2018-02-16 06:35 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Claire Gravely 2018-02-14 10:28:36 UTC
When trying to export a label batch, the pop up frame to display export options is not being correctly created. Instead the export information is at the bottom of a never-ending page. (Scrolling never reaches it).

To reproduce:
Go to Manage Label batches (label-manage.pl) and/or edit a batch (label-edit-batch.pl) and try to export.
Comment 1 Owen Leonard 2018-02-14 14:19:26 UTC
Created attachment 71608 [details] [review]
Bug 20193: Path to Greybox CSS broken after Bug 12904

Bug 12904 changed the way CSS and JS assets should be linked, but the
Greybox CSS path wasn't changed in the process. This patch adds the
required VERSION template variable to greybox.inc.

To test, apply the patch and test usage of Greybox in the staff client.
For instance:

- Go to Tools -> Labels -> Manage -> Label batches
- Select a batch for export and click the 'Export selected' button
- A Greybox modal should be triggered, and the export process should
  proceed correctly.
Comment 2 M. Tompsett 2018-02-14 16:43:12 UTC
Created attachment 71621 [details] [review]
Bug 20193: Path to Greybox CSS broken after Bug 12904

Bug 12904 changed the way CSS and JS assets should be linked, but the
Greybox CSS path wasn't changed in the process. This patch adds the
required VERSION template variable to greybox.inc.

To test, apply the patch and test usage of Greybox in the staff client.
For instance:

- Go to Tools -> Labels -> Manage -> Label batches
- Select a batch for export and click the 'Export selected' button
- A Greybox modal should be triggered, and the export process should
  proceed correctly.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 3 M. Tompsett 2018-02-14 16:46:10 UTC
Another test case is the Translate into other languages step in bug 20160. If you do not apply this, the popup failed to popup. It was quite frustrating. Thank you for this patch, Owen!
Comment 4 M. Tompsett 2018-02-14 17:34:03 UTC
Also, noticed that the patch that made it into master (the apache conf tweak) was [0-9][0-9]... instead of just (.*), so part of the problems may have been the fix was partially broken by use of a bad regular expression.
Comment 5 Katrin Fischer 2018-02-16 06:35:20 UTC
Created attachment 71698 [details] [review]
Bug 20193: Path to Greybox CSS broken after Bug 12904

Bug 12904 changed the way CSS and JS assets should be linked, but the
Greybox CSS path wasn't changed in the process. This patch adds the
required VERSION template variable to greybox.inc.

To test, apply the patch and test usage of Greybox in the staff client.
For instance:

- Go to Tools -> Labels -> Manage -> Label batches
- Select a batch for export and click the 'Export selected' button
- A Greybox modal should be triggered, and the export process should
  proceed correctly.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Jonathan Druart 2018-02-16 16:02:02 UTC
Pushed to master for 18.05, thanks to everybody involved!